org.apache.fop.pdf

## Class PDFLinearization

- java.lang.Object
- - org.apache.fop.pdf.PDFLinearization

-     public class PDFLinearization
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFLinearization(PDFDocument doc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `outputPages(java.io.OutputStream stream)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFLinearization

          public PDFLinearization(PDFDocument doc)

  - ### Method Detail

    - #### outputPages

          public void outputPages(java.io.OutputStream stream)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.